Get VoipCarriers
curl --request GET \
--url https://api.example.com/v1/Accounts/{account_sid}/VoipCarriersimport requests
url = "https://api.example.com/v1/Accounts/{account_sid}/VoipCarriers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/Accounts/{account_sid}/VoipCarriers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"application_sid": null,
"created_at": "2021-05-07T02:52:00.000Z",
"description": null,
"diversion": null,
"e164_leading_plus": 1,
"inbound_auth_password": null,
"inbound_auth_username": null,
"is_active": 0,
"name": "Simwood",
"register_password": "your-password",
"register_sip_realm": null,
"register_username": "your-simwood-auth-trunk-username",
"requires_register": 0,
"service_provider_sid": null,
"tech_prefix": null,
"voip_carrier_sid": "2661209f-df95-40ec-bcc5-7393ca84629f"
},
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"application_sid": "98acd50a-9f25-42a6-8dbf-aadb400ddcf0",
"created_at": "2021-05-18T22:18:36.000Z",
"description": null,
"diversion": null,
"e164_leading_plus": 1,
"inbound_auth_password": null,
"inbound_auth_username": null,
"is_active": 1,
"name": "Twilio",
"register_password": "your-twilio-credential-password",
"register_sip_realm": null,
"register_username": "your-twilio-credential-username",
"requires_register": 0,
"service_provider_sid": null,
"tech_prefix": null,
"voip_carrier_sid": "5647eeab-c5ee-4d4b-ac3a-8aa5605f71f5"
}
]v1
Get VoipCarriers
Retrieve all VoipCarriers associated with your account
GET
/
v1
/
Accounts
/
{account_sid}
/
VoipCarriers
Get VoipCarriers
Path Parameters
Example:
"5f8e8f60-4771-44cb-92a6-94ea66df0450"
Response
200 - application/json
Get VoipCarriers
Example:
"5f8e8f60-4771-44cb-92a6-94ea66df0450"
Example:
null
Example:
"2021-05-07T02:52:00.000Z"
Example:
1
Example:
0
Example:
"Simwood"
Example:
"your-password"
Example:
"your-simwood-auth-trunk-username"
Example:
0
Example:
"2661209f-df95-40ec-bcc5-7393ca84629f"
Example:
[
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"application_sid": null,
"created_at": "2021-05-07T02:52:00.000Z",
"description": null,
"diversion": null,
"e164_leading_plus": 1,
"inbound_auth_password": null,
"inbound_auth_username": null,
"is_active": 0,
"name": "Simwood",
"register_password": "your-password",
"register_sip_realm": null,
"register_username": "your-simwood-auth-trunk-username",
"requires_register": 0,
"service_provider_sid": null,
"tech_prefix": null,
"voip_carrier_sid": "2661209f-df95-40ec-bcc5-7393ca84629f"
},
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"application_sid": "98acd50a-9f25-42a6-8dbf-aadb400ddcf0",
"created_at": "2021-05-18T22:18:36.000Z",
"description": null,
"diversion": null,
"e164_leading_plus": 1,
"inbound_auth_password": null,
"inbound_auth_username": null,
"is_active": 1,
"name": "Twilio",
"register_password": "your-twilio-credential-password",
"register_sip_realm": null,
"register_username": "your-twilio-credential-username",
"requires_register": 0,
"service_provider_sid": null,
"tech_prefix": null,
"voip_carrier_sid": "5647eeab-c5ee-4d4b-ac3a-8aa5605f71f5"
}
]
⌘I

